Subject: Re: The Artanis pkg issue

From: Nala Ginrut <[email-masked]>
Date: Sun, 5 May 2024 21:33:22 +0900

Hi Joshua!
Have you tried the latest 0.6?
Can it work for you?
For now, I only tested in Ubuntu 24.04.

On Sun, May 5, 2024, 04:33 <[email-masked]> wrote:

> Apologies for top posting...The below email seemed more like a bug.
>
> Typically guix-devel is for making "large" or complicated changes to guix.
>
> I'm forwarding your message over to [email-masked].
>
> Also, do you use Artanis?  I've tried to get it to work a few times...
> and I can never quite figure it out.  My guile web framework is...
> guile haunt at the moment.  :)
>
> Joshua
>
>
> -------- Forwarded message -------
>
>
>
> From: "Nala Ginrut" <[email-masked]>
>
>
> To: [email-masked]
>
>
> Sent: May 4, 2024 at 11:36 AM
>
>
> Subject: The Artanis pkg issue
>
>
>
> Dear Guix folks, I saw the lines in Artanis pkg info:
>
> -----------------------------cut---------------------
>
>  (delete-file-recursively "artanis/third-party/json.scm")
>
>
>  (delete-file-recursively "artanis/third-party/json")
>
>
>  (delete-file-recursively "artanis/third-party/redis.scm")
>
>
>  (delete-file-recursively "artanis/third-party/redis")
>
> -----------------------------end----------------------
>
>
> I understand these lines are aiming to unbundle guile-json and
> guile-redis, however, recently I've unbundled them in vanilla Artanis. So
> there's something changed.
>
>
> You may need to keep third-party/json.scm and third-party/edis.scm in the
> next release since they are the wrappers, and it's possible to make further
> abstracts then. In addition, there are necessary renaming operations for
> compatibility.
>
>
> Best regards.
>